--- 20031222-dmesg-noacpi	Mon Dec 29 12:15:01 2003
+++ 20031222-dmesg-acpi	Mon Dec 29 12:15:00 2003
@@ -3,14 +3,15 @@
 	The Regents of the University of California. All rights reserved.
 FreeBSD 5.2-CURRENT #0: Mon Dec 29 10:56:39 EST 2003
     rwatson@paprika:/usr/obj/usr/src/sys/GENERIC
-Preloaded elf kernel "/boot/kernel/kernel" at 0xc0a73000.
-Preloaded elf module "/boot/kernel/snd_maestro3.ko" at 0xc0a731d8.
-Preloaded elf module "/boot/kernel/snd_pcm.ko" at 0xc0a7328c.
-Preloaded elf module "/boot/kernel/r128.ko" at 0xc0a73338.
-Calibrating clock(s) ... i8254 clock: 1193304 Hz
+Preloaded elf kernel "/boot/kernel/kernel" at 0xc0ac5000.
+Preloaded elf module "/boot/kernel/snd_maestro3.ko" at 0xc0ac51d8.
+Preloaded elf module "/boot/kernel/snd_pcm.ko" at 0xc0ac528c.
+Preloaded elf module "/boot/kernel/r128.ko" at 0xc0ac5338.
+Preloaded elf module "/boot/kernel/acpi.ko" at 0xc0ac53e4.
+Calibrating clock(s) ... i8254 clock: 1193303 Hz
 CLK_USE_I8254_CALIBRATION not specified - using default frequency
 Timecounter "i8254" frequency 1193182 Hz quality 0
-Calibrating TSC clock ... TSC clock: 701593439 Hz
+Calibrating TSC clock ... TSC clock: 701593941 Hz
 CPU: Intel Pentium III (701.59-MHz 686-class CPU)
   Origin = "GenuineIntel"  Id = 0x68a  Stepping = 10
   Features=0x383f9ff<FPU,VME,DE,PSE,TSC,MSR,PAE,MCE,CX8,SEP,MTRR,PGE,MCA,CMOV,PAT,PSE36,MMX,FXSR,SSE>
@@ -19,7 +20,7 @@
 0x0000000000001000 - 0x000000000009efff, 647168 bytes (158 pages)
 0x0000000000100000 - 0x00000000003fffff, 3145728 bytes (768 pages)
 0x0000000000c29000 - 0x000000001f6c5fff, 514445312 bytes (125597 pages)
-avail memory = 511746048 (488 MB)
+avail memory = 511737856 (488 MB)
 bios32: Found BIOS32 Service Directory header at 0xc00ffe80
 bios32: Entry = 0xffe90 (c00ffe90)  Rev = 0  Len = 1
 pcibios: PCI BIOS entry at 0xf0000+0xc13e
@@ -28,13 +29,14 @@
 pnpbios: Event flag at 4b4
 Other BIOS signatures found:
 wlan: <802.11 Link Layer>
-null: <null device, zero device>
 random: <entropy source>
 mem: <memory & I/O>
 Pentium Pro MTRR support enabled
+null: <null device, zero device>
 npx0: [FAST]
 npx0: <math processor> on motherboard
 npx0: INT 16 interface
+acpi0: <DELL   CPi R  > on motherboard
 pci_open(1):	mode 1 addr port (0x0cf8) is 0x80000060
 pci_open(1a):	mode1res=0x80000000 (0x80000000)
 pci_cfgcheck:	device 0 [class=060000] [hdr=00] is there (id=71908086)
@@ -57,8 +59,69 @@
 embedded    0   17    B   0x62  3 4 5 6 7 9 10 11 12 14 15
 embedded    0   17    C   0x62  3 4 5 6 7 9 10 11 12 14 15
 embedded    0   17    D   0x62  3 4 5 6 7 9 10 11 12 14 15
-pcib0: <Intel 82443BX (440 BX) host to PCI bridge> at pcibus 0 on motherboard
-pci0: <PCI bus> on pcib0
+acpi_bus_number: root bus has no _BBN, assuming 0
+AcpiOsDerivePciId: bus 0 dev 7 func 0
+ACPI timer looks BAD  min = 2, max = 5, width = 3
+ACPI timer looks BAD  min = 2, max = 5, width = 3
+ACPI timer looks BAD  min = 2, max = 5, width = 3
+ACPI timer looks BAD  min = 2, max = 5, width = 3
+ACPI timer looks BAD  min = 2, max = 5, width = 3
+ACPI timer looks BAD  min = 2, max = 5, width = 3
+ACPI timer looks BAD  min = 2, max = 5, width = 3
+ACPI timer looks BAD  min = 2, max = 6, width = 4
+ACPI timer looks BAD  min = 2, max = 5, width = 3
+ACPI timer looks BAD  min = 2, max = 5, width = 3
+Timecounter "ACPI-safe" frequency 3579545 Hz quality 1000
+acpi_timer0: <24-bit timer at 3.579545MHz> port 0x808-0x80b on acpi0
+acpi_cpu0: <CPU> on acpi0
+acpi_tz0: <Thermal Zone> on acpi0
+acpi_acad0: <AC Adapter> on acpi0
+acpi_cmbat0: <Control Method Battery> on acpi0
+acpi_cmbat1: <Control Method Battery> on acpi0
+acpi_lid0: <Control Method Lid Switch> on acpi0
+acpi_button0: <Power Button> on acpi0
+acpi_button1: <Sleep Button> on acpi0
+pcib0: <ACPI Host-PCI bridge> port 0xcf8-0xcff on acpi0
+---- initial configuration ------------------------
+\\_SB_.PCI0.LNKA irq  11: [  3  4  5  6  7  9 10 11 12 14 15] low,level,sharable 0.7.0
+\\_SB_.PCI0.LNKB irq   5: [  3  4  5  6  7  9 10 11 12 14 15] low,level,sharable 0.7.1
+\\_SB_.PCI0.LNKC irq   0: [  3  4  5  6  7  9 10 11 12 14 15] low,level,sharable 0.7.2
+\\_SB_.PCI0.LNKD irq  11: [  3  4  5  6  7  9 10 11 12 14 15] low,level,sharable 0.7.3
+\\_SB_.PCI0.LNKA irq  11: [  3  4  5  6  7  9 10 11 12 14 15] low,level,sharable 0.1.0
+\\_SB_.PCI0.LNKB irq   5: [  3  4  5  6  7  9 10 11 12 14 15] low,level,sharable 0.1.1
+\\_SB_.PCI0.LNKD irq  11: [  3  4  5  6  7  9 10 11 12 14 15] low,level,sharable 0.3.0
+\\_SB_.PCI0.LNKD irq  11: [  3  4  5  6  7  9 10 11 12 14 15] low,level,sharable 0.3.1
+\\_SB_.PCI0.LNKC irq   0: [  3  4  5  6  7  9 10 11 12 14 15] low,level,sharable 0.13.0
+\\_SB_.PCI0.LNKB irq   5: [  3  4  5  6  7  9 10 11 12 14 15] low,level,sharable 0.8.0
+\\_SB_.PCI0.LNKD irq  11: [  3  4  5  6  7  9 10 11 12 14 15] low,level,sharable 0.16.0
+\\_SB_.PCI0.LNKC irq   0: [  3  4  5  6  7  9 10 11 12 14 15] low,level,sharable 0.16.1
+---- before setting priority for links ------------
+\\_SB_.PCI0.LNKC:
+	interrupts:	     3     4     5     6     7     9    10    11    12    14    15
+	penalty:	  1330  1330   630  1330  1330   330   330   930  1330 10330 10330
+	references:	3
+	priority:	0
+---- before fixup boot-disabled links -------------
+\\_SB_.PCI0.LNKC:
+	interrupts:	     3     4     5     6     7     9    10    11    12    14    15
+	penalty:	  1330  1330   630  1330  1330   330   330   930  1330 10330 10330
+	references:	3
+	priority:	8053
+---- after fixup boot-disabled links --------------
+---- arbitrated configuration ---------------------
+\\_SB_.PCI0.LNKA irq  11: [  3  4  5  6  7  9 10 11 12 14 15] low,level,sharable 0.7.0
+\\_SB_.PCI0.LNKB irq   5: [  3  4  5  6  7  9 10 11 12 14 15] low,level,sharable 0.7.1
+\\_SB_.PCI0.LNKC irq  10: [  3  4  5  6  7  9 10 11 12 14 15] low,level,sharable 0.7.2
+\\_SB_.PCI0.LNKD irq  11: [  3  4  5  6  7  9 10 11 12 14 15] low,level,sharable 0.7.3
+\\_SB_.PCI0.LNKA irq  11: [  3  4  5  6  7  9 10 11 12 14 15] low,level,sharable 0.1.0
+\\_SB_.PCI0.LNKB irq   5: [  3  4  5  6  7  9 10 11 12 14 15] low,level,sharable 0.1.1
+\\_SB_.PCI0.LNKD irq  11: [  3  4  5  6  7  9 10 11 12 14 15] low,level,sharable 0.3.0
+\\_SB_.PCI0.LNKD irq  11: [  3  4  5  6  7  9 10 11 12 14 15] low,level,sharable 0.3.1
+\\_SB_.PCI0.LNKC irq  10: [  3  4  5  6  7  9 10 11 12 14 15] low,level,sharable 0.13.0
+\\_SB_.PCI0.LNKB irq   5: [  3  4  5  6  7  9 10 11 12 14 15] low,level,sharable 0.8.0
+\\_SB_.PCI0.LNKD irq  11: [  3  4  5  6  7  9 10 11 12 14 15] low,level,sharable 0.16.0
+\\_SB_.PCI0.LNKC irq  10: [  3  4  5  6  7  9 10 11 12 14 15] low,level,sharable 0.16.1
+pci0: <ACPI PCI bus> on pcib0
 pci0: physical bus=0
 	map[10]: type 3, range 32, base f4000000, size 26, enabled
 found->	vendor=0x8086, dev=0x7190, revid=0x03
@@ -71,23 +134,19 @@
 	class=06-04-00, hdrtype=0x01, mfdev=0
 	cmdreg=0x011f, statreg=0x0220, cachelnsz=0 (dwords)
 	lattimer=0x20 (960 ns), mingnt=0x8c (35000 ns), maxlat=0x00 (0 ns)
-pci_cfgintr_valid: BIOS irq 11 is valid
-pci_cfgintr: 0:3 INTA BIOS irq 11
 found->	vendor=0x104c, dev=0xac51, revid=0x00
 	bus=0, slot=3, func=0
 	class=06-07-00, hdrtype=0x02, mfdev=1
-	cmdreg=0x0007, statreg=0x0210, cachelnsz=8 (dwords)
-	lattimer=0x20 (960 ns), mingnt=0xc0 (48000 ns), maxlat=0x07 (1750 ns)
-	intpin=a, irq=11
+	cmdreg=0x0000, statreg=0x0210, cachelnsz=8 (dwords)
+	lattimer=0x20 (960 ns), mingnt=0x40 (16000 ns), maxlat=0x07 (1750 ns)
+	intpin=a, irq=255
 	powerspec 1  supports D0 D1 D2 D3  current D0
-pci_cfgintr_valid: BIOS irq 11 is valid
-pci_cfgintr: 0:3 INTA BIOS irq 11
 found->	vendor=0x104c, dev=0xac51, revid=0x00
 	bus=0, slot=3, func=1
 	class=06-07-00, hdrtype=0x02, mfdev=1
-	cmdreg=0x0007, statreg=0x0210, cachelnsz=8 (dwords)
-	lattimer=0x20 (960 ns), mingnt=0xc0 (48000 ns), maxlat=0x07 (1750 ns)
-	intpin=a, irq=11
+	cmdreg=0x0000, statreg=0x0210, cachelnsz=8 (dwords)
+	lattimer=0x20 (960 ns), mingnt=0x40 (16000 ns), maxlat=0x07 (1750 ns)
+	intpin=a, irq=255
 	powerspec 1  supports D0 D1 D2 D3  current D0
 found->	vendor=0x8086, dev=0x7110, revid=0x02
 	bus=0, slot=7, func=0
@@ -101,8 +160,8 @@
 	cmdreg=0x0005, statreg=0x0280, cachelnsz=0 (dwords)
 	lattimer=0x20 (960 ns), mingnt=0x00 (0 ns), maxlat=0x00 (0 ns)
 	map[20]: type 4, range 32, base 0000dce0, size  5, enabled
-pci_cfgintr_valid: BIOS irq 11 is valid
-pci_cfgintr: 0:7 INTD BIOS irq 11
+pcib0: matched entry for 0.7.INTD (source \\_SB_.PCI0.LNKD)
+pcib0: slot 7 INTD is routed to irq 11
 found->	vendor=0x8086, dev=0x7112, revid=0x01
 	bus=0, slot=7, func=2
 	class=0c-03-00, hdrtype=0x00, mfdev=0
@@ -117,8 +176,8 @@
 	lattimer=0x00 (0 ns), mingnt=0x00 (0 ns), maxlat=0x00 (0 ns)
 	map[10]: type 4, range 32, base 0000d800, size  8, enabled
 	map[14]: type 1, range 32, base f3ffe000, size 13, enabled
-pci_cfgintr_valid: BIOS irq 5 is valid
-pci_cfgintr: 0:8 INTA BIOS irq 5
+pcib0: matched entry for 0.8.INTA (source \\_SB_.PCI0.LNKB)
+pcib0: slot 8 INTA is routed to irq 5
 found->	vendor=0x125d, dev=0x1998, revid=0x10
 	bus=0, slot=8, func=0
 	class=04-01-00, hdrtype=0x00, mfdev=0
@@ -129,8 +188,8 @@
 	map[10]: type 4, range 32, base 0000d400, size  8, enabled
 	map[14]: type 1, range 32, base f3ffdc00, size  7, enabled
 	map[18]: type 1, range 32, base f3ffd800, size  7, enabled
-pci_cfgintr_valid: BIOS irq 11 is valid
-pci_cfgintr: 0:16 INTA BIOS irq 11
+pcib0: matched entry for 0.16.INTA (source \\_SB_.PCI0.LNKD)
+pcib0: slot 16 INTA is routed to irq 11
 found->	vendor=0x10b7, dev=0x6055, revid=0x10
 	bus=0, slot=16, func=0
 	class=02-00-00, hdrtype=0x00, mfdev=1
@@ -141,8 +200,8 @@
 	map[10]: type 4, range 32, base 0000d000, size  8, enabled
 	map[14]: type 1, range 32, base f3ffd400, size  8, enabled
 	map[18]: type 1, range 32, base f3ffd000, size  7, enabled
-pci_cfgintr_valid: BIOS irq 11 is valid
-pci_cfgintr: 0:16 INTA BIOS irq 11
+pcib0: matched entry for 0.16.INTA (source \\_SB_.PCI0.LNKD)
+pcib0: slot 16 INTA is routed to irq 11
 found->	vendor=0x10b7, dev=0x1007, revid=0x10
 	bus=0, slot=16, func=1
 	class=07-80-00, hdrtype=0x00, mfdev=0
@@ -152,19 +211,26 @@
 	powerspec 2  supports D0 D2 D3  current D0
 agp0: <Intel 82443BX (440 BX) host to PCI bridge> mem 0xf4000000-0xf7ffffff at device 0.0 on pci0
 agp0: allocating GATT for aperture of size 64M
-pcib1: <PCIBIOS PCI-PCI bridge> at device 1.0 on pci0
+pcib1: <ACPI PCI-PCI bridge> at device 1.0 on pci0
 pcib1:   secondary bus     1
 pcib1:   subordinate bus   1
 pcib1:   I/O decode        0xe000-0xefff
 pcib1:   memory decode     0xfd000000-0xfeffffff
 pcib1:   prefetched decode 0xf8000000-0xfbffffff
-pci1: <PCI bus> on pcib1
+---- initial configuration ------------------------
+\\_SB_.PCI0.LNKA irq  11: [  3  4  5  6  7  9 10 11 12 14 15] low,level,sharable 1.0.0
+---- before setting priority for links ------------
+---- before fixup boot-disabled links -------------
+---- after fixup boot-disabled links --------------
+---- arbitrated configuration ---------------------
+\\_SB_.PCI0.LNKA irq  11: [  3  4  5  6  7  9 10 11 12 14 15] low,level,sharable 1.0.0
+pci1: <ACPI PCI bus> on pcib1
 pci1: physical bus=1
 	map[10]: type 3, range 32, base f8000000, size 26, enabled
 	map[14]: type 4, range 32, base 0000ec00, size  8, enabled
 	map[18]: type 1, range 32, base fdffc000, size 14, enabled
-pci_cfgintr_valid: BIOS irq 11 is valid
-pci_cfgintr: 1:0 INTA BIOS irq 11
+pcib1: matched entry for 1.0.INTA (source \\_SB_.PCI0.LNKA)
+pcib1: slot 0 INTA is routed to irq 11
 found->	vendor=0x1002, dev=0x4c46, revid=0x02
 	bus=1, slot=0, func=0
 	class=03-00-00, hdrtype=0x00, mfdev=0
@@ -175,42 +241,46 @@
 drm0: <ATI Rage 128 Mobility LF (AGP)> port 0xec00-0xecff mem 0xfdffc000-0xfdffffff,0xf8000000-0xfbffffff irq 11 at device 0.0 on pci1
 info: [drm] AGP at 0xf4000000 64MB
 info: [drm] Initialized r128 2.5.0 20030725 on minor 0
-cbb0: <TI1420 PCI-CardBus Bridge> irq 11 at device 3.0 on pci0
+cbb0: <TI1420 PCI-CardBus Bridge> at device 3.0 on pci0
 cardbus0: <CardBus bus> on cbb0
 pccard0: <16-bit PCCard bus> on cbb0
+pcib0: matched entry for 0.3.INTA (source \\_SB_.PCI0.LNKD)
+pcib0: slot 3 INTA is routed to irq 11
 cbb0: [MPSAFE]
 cbb0: PCI Configuration space:
   0x00: 0xac51104c 0x02100007 0x06070000 0x00822008 
-  0x10: 0x88000000 0x020000a0 0x20000000 0xfffff000 
+  0x10: 0x88000000 0x020000a0 0x20040400 0xfffff000 
   0x20: 0x00000000 0xfffff000 0x00000000 0xfffffffc 
   0x30: 0x00000000 0xfffffffc 0x00000000 0x0740010b 
   0x40: 0x00b11028 0x00000001 0x00000000 0x00000000 
   0x50: 0x00000000 0x00000000 0x00000000 0x00000000 
   0x60: 0x00000000 0x00000000 0x00000000 0x00000000 
   0x70: 0x00000000 0x00000000 0x00000000 0x00000000 
-  0x80: 0x2024d024 0x00000000 0x00000000 0x01261222 
-  0x90: 0x606482c0 0x00000000 0x00000000 0x00000000 
+  0x80: 0x2024d025 0x00000000 0x00000000 0x01261222 
+  0x90: 0x6064a6c0 0x00000000 0x00000000 0x00000000 
   0xa0: 0xfe110001 0x00c00000 0x0000081b 0x00000007 
   0xb0: 0x00000000 0x00000000 0x00000000 0x00000000 
   0xc0: 0x00000000 0x00000000 0x00000000 0x00000000 
   0xd0: 0x00000000 0x00000000 0x00000000 0x00000000 
   0xe0: 0x00000000 0x00000000 0x00000000 0x00000000 
   0xf0: 0x00000000 0x00000000 0x00000000 0x00000000 
-cbb1: <TI1420 PCI-CardBus Bridge> irq 11 at device 3.1 on pci0
+cbb1: <TI1420 PCI-CardBus Bridge> at device 3.1 on pci0
 cardbus1: <CardBus bus> on cbb1
 pccard1: <16-bit PCCard bus> on cbb1
+pcib0: matched entry for 0.3.INTA (source \\_SB_.PCI0.LNKD)
+pcib0: slot 3 INTA is routed to irq 11
 cbb1: [MPSAFE]
 cbb1: PCI Configuration space:
   0x00: 0xac51104c 0x02100007 0x06070000 0x00822008 
-  0x10: 0x88001000 0x020000a0 0x20000000 0xfffff000 
+  0x10: 0x88001000 0x020000a0 0x20050500 0xfffff000 
   0x20: 0x00000000 0xfffff000 0x00000000 0xfffffffc 
   0x30: 0x00000000 0xfffffffc 0x00000000 0x0740010b 
   0x40: 0x00b11028 0x00000001 0x00000000 0x00000000 
   0x50: 0x00000000 0x00000000 0x00000000 0x00000000 
   0x60: 0x00000000 0x00000000 0x00000000 0x00000000 
   0x70: 0x00000000 0x00000000 0x00000000 0x00000000 
-  0x80: 0x2024f024 0x00000000 0x00000000 0x01261222 
-  0x90: 0x606482c0 0x00000000 0x00000000 0x00000000 
+  0x80: 0x2024f025 0x00000000 0x00000000 0x01261222 
+  0x90: 0x6064a6c0 0x00000000 0x00000000 0x00000000 
   0xa0: 0xfe110001 0x00c00000 0x0000081b 0x00000007 
   0xb0: 0x00000000 0x00000000 0x00000000 0x00000000 
   0xc0: 0x00000000 0x00000000 0x00000000 0x00000000 
@@ -224,7 +294,7 @@
 atapci0: <Intel PIIX4 UDMA33 controller> port 0x860-0x86f at device 7.1 on pci0
 ata0: reset tp1 mask=03 ostat0=50 ostat1=00
 ata0-master: stat=0x80 err=0x80 lsb=0x80 msb=0x80
-ata0-master: stat=0x80 err=0x80 lsb=0x80 msb=0x80
+ata0-master: stat=0x82 err=0x82 lsb=0x82 msb=0x82
 ata0-master: stat=0x80 err=0x80 lsb=0x80 msb=0x80
 ata0-master: stat=0x80 err=0x80 lsb=0x80 msb=0x80
 ata0-master: stat=0x80 err=0x80 lsb=0x80 msb=0x80
@@ -235,6 +305,15 @@
 ata0: reset tp2 mask=03 stat0=50 stat1=00 devices=0x1<ATA_MASTER>
 ata0: at 0x1f0 irq 14 on atapci0
 ata0: [MPSAFE]
+ata1: reset tp1 mask=03 ostat0=07 ostat1=07
+ata1-master: stat=0x06 err=0x06 lsb=0x06 msb=0x06
+ata1-master: stat=0x05 err=0x05 lsb=0x05 msb=0x05
+ata1-master: stat=0x04 err=0x04 lsb=0x04 msb=0x04
+ata1-master: stat=0x03 err=0x03 lsb=0x03 msb=0x03
+ata1-master: stat=0x02 err=0x02 lsb=0x02 msb=0x02
+ata1-master: stat=0x01 err=0x01 lsb=0x01 msb=0x01
+ata1-slave:  stat=0x00 err=0x00 lsb=0x00 msb=0x00
+ata1: reset tp2 mask=03 stat0=01 stat1=00 devices=0x0
 ata1: at 0x170 irq 15 on atapci0
 ata1: [MPSAFE]
 uhci0: <Intel 82371AB/EB (PIIX4) USB controller> port 0xdce0-0xdcff irq 11 at device 7.2 on pci0
@@ -242,17 +321,16 @@
 usb0: USB revision 1.0
 uhub0: Intel UHCI root hub, class 9/0, rev 1.00/1.00, addr 1
 uhub0: 2 ports with 2 removable, self powered
-piix0: <PIIX Timecounter> port 0x840-0x84f at device 7.3 on pci0
-Timecounter "PIIX" frequency 3579545 Hz quality 0
+pci0: <bridge, PCI-unknown> at device 7.3 (no driver attached)
 pcm0: <ESS Technology Maestro3> port 0xd800-0xd8ff mem 0xf3ffe000-0xf3ffffff irq 5 at device 8.0 on pci0
 pcm0: <SigmaTel STAC9721/23 AC97 Codec (id = 0x83847609)>
 pcm0: Codec features 18 bit DAC, 18 bit ADC, 5 bit master volume, SigmaTel 3D Enhancement
 pcm0: Primary codec extended features AMAP
-pcm0: sndbuf_setmap 21a000, 1000; 0xdca63000 -> 21a000
-pcm0: sndbuf_setmap 233000, 1000; 0xdca64000 -> 233000
-pcm0: sndbuf_setmap 234000, 1000; 0xdca65000 -> 234000
-pcm0: sndbuf_setmap 239000, 1000; 0xdca66000 -> 239000
-pcm0: sndbuf_setmap 23a000, 1000; 0xdca67000 -> 23a000
+pcm0: sndbuf_setmap 269000, 1000; 0xdca69000 -> 269000
+pcm0: sndbuf_setmap 26a000, 1000; 0xdca6a000 -> 26a000
+pcm0: sndbuf_setmap 26b000, 1000; 0xdca6b000 -> 26b000
+pcm0: sndbuf_setmap 289000, 1000; 0xdca6c000 -> 289000
+pcm0: sndbuf_setmap 28a000, 1000; 0xdca6d000 -> 28a000
 xl0: <3Com 3c556 Fast Etherlink XL> port 0xd400-0xd4ff mem 0xf3ffd800-0xf3ffd87f,0xf3ffdc00-0xf3ffdc7f irq 11 at device 16.0 on pci0
 xl0: using memory mapped I/O
 xl0: Ethernet address: 00:04:76:42:89:7b
@@ -264,8 +342,35 @@
 tdkphy0:  10baseT, 10baseT-FDX, 100baseTX, 100baseTX-FDX, auto
 xl0: bpf attached
 pci0: <simple comms> at device 16.1 (no driver attached)
+unknown: not probed (disabled)
+psmcpnp0 irq 12 on acpi0
+atkbdc0: <Keyboard controller (i8042)> port 0x64,0x60 irq 1 on acpi0
+atkbd0: <AT Keyboard> flags 0x1 irq 1 on atkbdc0
+atkbd: the current kbd controller command byte 0065
+atkbd: keyboard ID 0x41ab (2)
+kbd0 at atkbd0
+kbd0: atkbd0, AT 101/102 (2), config:0x1, flags:0x3d0000
+psm0: current command byte:0065
+psm0: <PS/2 Mouse> irq 12 on atkbdc0
+psm0: model Generic PS/2 mouse, device ID 0-00, 2 buttons
+psm0: config:00000000, flags:00000000, packet size:3
+psm0: syncmask:c0, syncbits:00
+unknown: not probed (disabled)
+unknown: not probed (disabled)
+unknown: not probed (disabled)
+unknown: not probed (disabled)
+unknown: not probed (disabled)
+unknown: not probed (disabled)
+unknown: not probed (disabled)
+unknown: not probed (disabled)
+unknown: not probed (disabled)
+unknown: not probed (disabled)
+unknown: not probed (disabled)
+unknown: not probed (disabled)
+unknown: not probed (disabled)
 ata: ata0 already exists; skipping it
 ata: ata1 already exists; skipping it
+atkbdc: atkbdc0 already exists; skipping it
 Trying Read_Port at 203
 Trying Read_Port at 243
 Trying Read_Port at 283
@@ -275,62 +380,6 @@
 Trying Read_Port at 383
 Trying Read_Port at 3c3
 ex_isa_identify()
-pnpbios: 15 devices, largest 248 bytes
-PNP0a03: adding io range 0xcf8-0xcff, size=0x8, align=0x2
-pnpbios: handle 0 device ID PNP0a03 (030ad041)
-PNP0c01: adding fixed memory32 range 0-0x9ffff, size=0xa0000
-PNP0c01: adding fixed memory32 range 0x100000-0x1fffffff, size=0x1ff00000
-PNP0c01: adding fixed memory32 range 0xf0000-0xfffff, size=0x10000
-PNP0c01: adding fixed memory32 range 0xfffe0000-0xffffffff, size=0x20000
-PNP0c01: adding io range 0x800-0x83f, size=0x40, align=0x1
-PNP0c01: adding io range 0x840-0x84f, size=0x10, align=0x1
-PNP0c01: adding io range 0x600-0x67f, size=0x80, align=0x1
-PNP0c01: adding io range 0x680-0x6ff, size=0x80, align=0x1
-PNP0c01: adding io range 0x880-0x88f, size=0x10, align=0x1
-PNP0c01: adding io range 0x3f0-0x3f1, size=0x2, align=0x1
-PNP0c01: adding io range 0xe0-0xe1, size=0x2, align=0x1
-pnpbios: handle 1 device ID PNP0c01 (010cd041)
-PNP0c01: adding fixed memory32 range 0xed000000-0xedffffff, size=0x1000000
-PNP0c01: adding io range 0xf400-0xf4fe, size=0xff, align=0x1
-pnpbios: handle 2 device ID PNP0c01 (010cd041)
-PNP0100: adding irq mask 0x1
-PNP0100: adding io range 0x40-0x5f, size=0x20, align=0x1
-pnpbios: handle 4 device ID PNP0100 (0001d041)
-PNP0200: adding io range 0x80-0x9f, size=0x20, align=0x1
-PNP0200: adding io range 0-0x1f, size=0x20, align=0x1
-PNP0200: adding io range 0xc0-0xdf, size=0x20, align=0x1
-PNP0200: adding dma mask 0x10
-pnpbios: handle 5 device ID PNP0200 (0002d041)
-PNP0303: adding irq mask 0x2
-PNP0303: adding io range 0x60-0x60, size=0x1, align=0x1
-PNP0303: adding io range 0x64-0x64, size=0x1, align=0x1
-pnpbios: handle 6 device ID PNP0303 (0303d041)
-PNP0f13: adding irq mask 0x1000
-pnpbios: handle 7 device ID PNP0f13 (130fd041)
-PNP0800: adding io range 0x61-0x61, size=0x1, align=0x1
-pnpbios: handle 8 device ID PNP0800 (0008d041)
-PNP0b00: adding irq mask 0x100
-PNP0b00: adding io range 0x70-0x7f, size=0x10, align=0x1
-pnpbios: handle 9 device ID PNP0b00 (000bd041)
-PNP0c04: adding irq mask 0x2000
-PNP0c04: adding io range 0xf0-0xff, size=0x10, align=0x1
-pnpbios: handle 10 device ID PNP0c04 (040cd041)
-PNP0e03: adding irq mask 0x20
-PNP0e03: adding io range 0x3e0-0x3e1, size=0x2, align=0x1
-pnpbios: handle 11 device ID PNP0e03 (030ed041)
-PNP0501: adding irq mask 0x10
-PNP0501: adding io range 0x3f8-0x3ff, size=0x8, align=0x8
-pnpbios: handle 12 device ID PNP0501 (0105d041)
-PNP0401: adding dma mask 0x8
-PNP0401: adding irq mask 0x80
-PNP0401: adding io range 0x378-0x37f, size=0x8, align=0x8
-PNP0401: adding io range 0x778-0x77b, size=0x4, align=0x8
-pnpbios: handle 14 device ID PNP0401 (0104d041)
-PNP0700: adding irq mask 0x40
-PNP0700: adding io range 0x3f2-0x3f5, size=0x4, align=0x2
-PNP0700: adding io range 0x3f7-0x3f7, size=0x1, align=0x8
-PNP0700: adding dma mask 0x4
-pnpbios: handle 15 device ID PNP0700 (0007d041)
 unknown: status reg test failed ff
 unknown: status reg test failed ff
 unknown: status reg test failed ff
@@ -346,17 +395,6 @@
 adv0: not probed (disabled)
 aha0: not probed (disabled)
 aic0: not probed (disabled)
-atkbdc0: <Keyboard controller (i8042)> at port 0x64,0x60 on isa0
-atkbd0: <AT Keyboard> flags 0x1 irq 1 on atkbdc0
-atkbd: the current kbd controller command byte 0065
-atkbd: keyboard ID 0x41ab (2)
-kbd0 at atkbd0
-kbd0: atkbd0, AT 101/102 (2), config:0x1, flags:0x3d0000
-psm0: current command byte:0065
-psm0: <PS/2 Mouse> irq 12 on atkbdc0
-psm0: model Generic PS/2 mouse, device ID 0-00, 2 buttons
-psm0: config:00000000, flags:00000000, packet size:3
-psm0: syncmask:c0, syncbits:00
 bt0: not probed (disabled)
 cs0: not probed (disabled)
 ed0: not probed (disabled)
@@ -384,12 +422,12 @@
 sc0: <System console> at flags 0x100 on isa0
 sc0: VGA <16 virtual consoles, flags=0x300>
 sc0: fb0, kbd0, terminal emulator: sc (syscons terminal)
-sio0: irq maps: 0x241 0x251 0x241 0x241
+sio0: irq maps: 0x141 0x151 0x141 0x141
 sio0 at port 0x3f8-0x3ff irq 4 flags 0x10 on isa0
 sio0: type 16550A
 sio1: configured irq 3 not in bitmap of probed irqs 0
 sio1: port may not be enabled
-sio1: irq maps: 0x241 0x241 0x241 0x241
+sio1: irq maps: 0x141 0x141 0x141 0x141
 sio1: probe failed test(s): 0 1 2 4 6 7 9
 sio1 failed to probe at port 0x2f8-0x2ff irq 3 on isa0
 sio2: not probed (disabled)
@@ -418,33 +456,15 @@
 3d 3e 3f 0c 00 0f 08 00 00 00 00 00 10 0e 00 ff 
 vt0: not probed (disabled)
 isa_probe_children: probing PnP devices
-adv1: Invalid baseport of 0xcf8 specified. Nearest valid baseport is 0x330.  Failing probe.
-unknown: <PNP0c01> can't assign resources (port)
-unknown: <PNP0c01> at port 0x3f0-0x3f1,0x880-0x88f,0x680-0x6ff,0x600-0x67f,0x840-0x84f,0x800-0x83f iomem 0xfffe0000-0xffffffff,0xf0000-0xfffff,0x100000-0x1fffffff,0-0x9ffff on isa0
-adv1: Invalid baseport of 0xf400 specified. Nearest valid baseport is 0x330.  Failing probe.
-adv1: Invalid baseport of 0x40 specified. Nearest valid baseport is 0x100.  Failing probe.
-adv1: Invalid baseport of 0x80 specified. Nearest valid baseport is 0x100.  Failing probe.
-unknown: <PNP0303> can't assign resources (port)
-unknown: <PNP0303> at port 0x60 on isa0
-unknown: <PNP0f13> can't assign resources (irq)
-unknown: <PNP0f13> at irq 12 on isa0
-adv1: Invalid baseport of 0x61 specified. Nearest valid baseport is 0x100.  Failing probe.
-unknown: <PNP0800> failed to probe at port 0x61 on isa0
-adv1: Invalid baseport of 0x70 specified. Nearest valid baseport is 0x100.  Failing probe.
-adv1: Invalid baseport of 0xf0 specified. Nearest valid baseport is 0x100.  Failing probe.
-unknown: <PNP0e03> can't assign resources (irq)
-unknown: <PNP0e03> at port 0x3e0-0x3e1 irq 5 on isa0
-unknown: <PNP0501> can't assign resources (port)
-unknown: <PNP0501> at port 0x3f8-0x3ff on isa0
-unknown: <PNP0401> can't assign resources (port)
-unknown: <PNP0401> at port 0x378-0x37f on isa0
-unknown: <PNP0700> can't assign resources (port)
-unknown: <PNP0700> at port 0x3f2-0x3f5 on isa0
 Device configuration finished.
 procfs registered
-Timecounter "TSC" frequency 701593439 Hz quality 800
+Timecounter "TSC" frequency 701593941 Hz quality 800
 Timecounters tick every 10.000 msec
 lo0: bpf attached
+acpi_acad0: acline initialization start
+system power profile changed to 'economy'
+acpi_acad0: Off Line
+acpi_cmbat0: battery initialization start
 pccard1: CIS version PC Card Standard 5.0
 pccard1: CIS info: NETGEAR MA401RA Wireless PC, Card, ISL37300P, Eval-RevA
 pccard1: Manufacturer code 0xb, product 0x7300
@@ -459,9 +479,14 @@
 wi0: 11b rates: 1Mbps 2Mbps 5.5Mbps 11Mbps
 wi0: bpf attached
 ata0-master: pio=0x0c wdma=0x22 udma=0x44 cable=80pin
+acpi_cmbat1: battery initialization start
+        -0166: *** Error: UtAllocate: Attempt to allocate zero bytes
+        -0166: *** Error: UtAllocate: Attempt to allocate zero bytes
+        -0166: *** Error: UtAllocate: Attempt to allocate zero bytes
+        -0166: *** Error: UtAllocate: Attempt to allocate zero bytes
 ata0-master: setting PIO4 on Intel PIIX4 chip
 ata0-master: setting UDMA33 on Intel PIIX4 chip
-GEOM: create disk ad0 dp=0xc484fc60
+GEOM: create disk ad0 dp=0xc4832e60
 ad0: <IBM-DJSA-220/JS4OAC0A> ATA-5 disk at ata0-master
 ad0: 19077MB (39070080 sectors), 38760 C, 16 H, 63 S, 512 B
 ad0: 16 secs/int, 1 depth queue, UDMA33
@@ -479,23 +504,58 @@
 GEOM: Configure ad0s1e, start 1589051392 length 18414797312 end 20003848703
 Mounting root from ufs:/dev/ad0s1a
 start_init: trying /sbin/init
-Stack trace for sysctl (pid 67)
+Stack trace for sysctl (pid 72)
   #1 0x0804a1d0
   #2 0x08048caf
   #3 0x08048a42
-Stack trace for sysctl (pid 67)
+Stack trace for sysctl (pid 72)
   #1 0x0804a1d0
   #2 0x08048caf
   #3 0x08048a42
-Stack trace for sysctl (pid 67)
-  #1 0x0804a1d0  (vnode 0xc4921618 /sbin/sysctl)
-  #2 0x08048caf  (vnode 0xc4921618 /sbin/sysctl)
-  #3 0x08048a42  (vnode 0xc4921618 /sbin/sysctl)
-Stack trace for sysctl (pid 67)
-  #1 0x0804a1d0  (vnode 0xc4921618 /sbin/sysctl)
-  #2 0x08048caf  (vnode 0xc4921618 /sbin/sysctl)
-  #3 0x08048a42  (vnode 0xc4921618 /sbin/sysctl)
+Stack trace for sysctl (pid 72)
+  #1 0x0804a1d0  (vnode 0xc494f618 /sbin/sysctl)
+  #2 0x08048caf  (vnode 0xc494f618 /sbin/sysctl)
+  #3 0x08048a42  (vnode 0xc494f618 /sbin/sysctl)
+Stack trace for sysctl (pid 72)
+  #1 0x0804a1d0  (vnode 0xc494f618 /sbin/sysctl)
+  #2 0x08048caf  (vnode 0xc494f618 /sbin/sysctl)
+  #3 0x08048a42  (vnode 0xc494f618 /sbin/sysctl)
 Linux ELF exec handler installed
 linprocfs registered
 ipfw2 initialized, divert disabled, rule-based forwarding enabled, default to deny, logging disabled
+        -0166: *** Error: UtAllocate: Attempt to allocate zero bytes
+        -0166: *** Error: UtAllocate: Attempt to allocate zero bytes
+        -0166: *** Error: UtAllocate: Attempt to allocate zero bytes
+        -0166: *** Error: UtAllocate: Attempt to allocate zero bytes
+        -0166: *** Error: UtAllocate: Attempt to allocate zero bytes
+        -0166: *** Error: UtAllocate: Attempt to allocate zero bytes
+        -0166: *** Error: UtAllocate: Attempt to allocate zero bytes
+        -0166: *** Error: UtAllocate: Attempt to allocate zero bytes
+        -0166: *** Error: UtAllocate: Attempt to allocate zero bytes
+        -0166: *** Error: UtAllocate: Attempt to allocate zero bytes
+        -0166: *** Error: UtAllocate: Attempt to allocate zero bytes
+        -0166: *** Error: UtAllocate: Attempt to allocate zero bytes
+        -0166: *** Error: UtAllocate: Attempt to allocate zero bytes
+        -0166: *** Error: UtAllocate: Attempt to allocate zero bytes
+        -0166: *** Error: UtAllocate: Attempt to allocate zero bytes
+        -0166: *** Error: UtAllocate: Attempt to allocate zero bytes
+        -0166: *** Error: UtAllocate: Attempt to allocate zero bytes
+        -0166: *** Error: UtAllocate: Attempt to allocate zero bytes
+        -0166: *** Error: UtAllocate: Attempt to allocate zero bytes
+        -0166: *** Error: UtAllocate: Attempt to allocate zero bytes
+        -0166: *** Error: UtAllocate: Attempt to allocate zero bytes
+        -0166: *** Error: UtAllocate: Attempt to allocate zero bytes
+        -0166: *** Error: UtAllocate: Attempt to allocate zero bytes
+        -0166: *** Error: UtAllocate: Attempt to allocate zero bytes
 WARNING: : multilabel flag on fs but no MAC support
+        -0166: *** Error: UtAllocate: Attempt to allocate zero bytes
+        -0166: *** Error: UtAllocate: Attempt to allocate zero bytes
+        -0166: *** Error: UtAllocate: Attempt to allocate zero bytes
+        -0166: *** Error: UtAllocate: Attempt to allocate zero bytes
+        -0166: *** Error: UtAllocate: Attempt to allocate zero bytes
+        -0166: *** Error: UtAllocate: Attempt to allocate zero bytes
+        -0166: *** Error: UtAllocate: Attempt to allocate zero bytes
+        -0166: *** Error: UtAllocate: Attempt to allocate zero bytes
+acpi_acad0: acline initialization done, tried 7 times
+acpi_cmbat0: battery initialization failed, giving up
+acpi_cmbat1: battery initialization failed, giving up
